LARN(6) | Games Manual | LARN(6)

# NAME

`larn` —
exploring the caverns of Larn

# SYNOPSIS

`larn` | [`-chilns`] [`-o` optsfile] [`-##`] [++]

# DESCRIPTION

`larn` is a fantasy games in which your child has contracted a strange disease, and none of your home remedies seem to have any effect. You set out to find a remedy in a limited amount of time, and to collect gold along the way of course!

The options are:

`-c`
  Clear the high scores file.
`-h`
  Show the command line options.
`-i`
  Show the high scores, including inventory data.
`-l`
  Show the log of all games.
`-n`
  Suppress the welcome message and start the game immediately.
`-o`
  Read the specified options file instead of ~/.larnopts.
`-s`
  Show the high scores.
`-##`
  Set the difficulty (hardness) level.
++
  Restore game from the checkpoint (auto-save) file.

# COMMANDS

These are the movement commands:

h move to the left | H run left | . stay here
j move down | J run down | Z teleport yourself
k move up | K run up | c cast a spell
l move to the right | L run right | r read a scroll
y move northwest | Y run northwest | q quaff a potion
u move northeast | U run northeast | W wear armor
b move southwest | B run southwest | T take off armor
n move southeast | N run southeast | w wield a weapon
^ identify a trap | g give present pack weight | P give tax status
d drop an item | i inventory your pockets | Q quit the game
v print program version | S save the game | D list all items found
? this help screen | A create diagnostic file | e eat something
| (wizards only)

# OPTIONS FILE

The file ~/.larnopts may be used to set a few options for `larn`. A sequence of words terminated by whitespace is used to specify options.

Word
  Meaning

bold-objects
  Select bold display of objects.
inverse-objects
  Select inverse video display of objects.
no-introduction
  Do not display intro message.
enable-checkpointing
  Turn on periodic checkpointing.
no-beep
  Disable beeping of the terminal.
male
  Choose your sex to be a man.
female
  Choose your sex to be a woman.
name: “your name”
  Choose your playing name.
monster: “monst name”
  Choose a name for a monster.
savefile: “save-file-name”
  Define what the savegame filename will be.

Your name and monster names must be enclosed in double quotation marks and may be up to 34 characters long. Longer names are truncated. Anything enclosed in quotation marks is considered one word, and must be separated from other words by whitespace.

# SPECIAL NOTES

When dropping gold, if you type '*' as your amount, all your gold gets dropped. In general, typing in '*' means all of what you are interested in. This is true when visiting the bank, or when contributing at altars.

You can get out of the store, trading post, school, or home by hitting ⟨esc⟩.

When casting a spell, if you need a list of spells you can cast, type `D` as the first letter of your spell. The available list of spells will be shown, after which you may enter the spell code. This only works on the 1st letter of the spell you are casting.

# FILES

/var/games/larn.scores
  Score file.
~/.larnopts
  Options file.

# AUTHORS

Noah Morgan

April 23, 2010 | NetBSD 9.4